from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDockingAreaAcceptor(XInterface, Protocol):
    def getContainerWindow(self) -> XWindow: ...
    def requestDockingAreaSpace(self, RequestedSpace: Rectangle) -> bool: ...
    def setDockingAreaSpace(self, BorderSpace: Rectangle) -> None: ...
